SDL_GL_SwapWindow(3)

NAME
SDL_GL_SwapWindow - Update a window with OpenGL rendering.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

int SDL_GL_SwapWindow(SDL_Window *window);

DESCRIPTION
This is used with double-buffered OpenGL contexts, which are the default. On macOS, make sure you bind 0 to the draw framebuffer before swapping the window, otherwise nothing will happen. If you aren't using glBindFramebuffer(), this is the default and you won't have to do anything extra.

FUNCTION PARAMETERS

window
    the window to change

RETURN VALUE
Returns 0 on success or a negative error code on failure; call SDL_GetError () for more information.

AVAILABILITY
This function is available since SDL 3.0.0.